# MeddlrViz
MeddlrViz is a visualization suite for medical imaging datasets, machine learning models, and algorithms built with [Meddlr](https://github.com/ad12/meddlr) and [Meerkat](https://github.com/HazyResearch/meerkat).


## ⚡ QuickStart
We recommend downloading MeddlrViz in a virtual environment, 
```bash
# Install Meddlr with basic dependencies
# This will also install meddlr and meerkat-ml
pip install meddlr-viz
```

## Why MeddlrViz?
MeddlrViz offers interfaces for visualizing and interacting with data, machine learning models, and algorithm outputs. These interfaces are built with [Meerkat](https://github.com/HazyResearch/meerkat), an open-source Python library, designed to help technical teams interactively wrangle images, videos, text documents and more with foundation models.

**(1) Complex medical dataset visualization.** Medical images and associated data and model outputs (e.g. segmentations, raw data, etc.) are high-dimensional and difficult to visualize. MeddlrViz provides useful tools for visualizing, formatting, and interacting with complex data types in your medical imaging dataset.

<div align="center">

<image src="static/brats.gif" height=400 alt="A gallery of images from the BRATS dataset" />
</div>

**(2) Interactive demos in native Python.** Building interactive demos can be challenging. MeddlrViz provides built-in interfaces for easily demoing models and algorithms on your data and conducting high-level analyses, like reader studies.

<div align="center">

<image src="static/vortex.gif" height=400 alt="MRI reconstruction under noise and motion perturbation" />
</div>


## ✉️ About
Please reach out to `arjundd [at] stanford [dot] edu` if you would like to use MeddlrViz for a project, at your company or if you have any questions.